# discovery-by-llm

This is a demo that serves as a proof of concept for LLM utilization for music discovery, specifically using the Spotify API. The form-factor is an LLM-chat like experience, with direct Spotify integration.

> Work in progress. This file is filled in during the build.
> Chronological build log (Dutch): [docs/logboek.md](docs/logboek.md).

## Demo

*(to follow: hosted instance + local `docker compose up --build`, with and
without API keys)*

## How it works

*(to follow: pipeline diagram and module map)*

## Choices

*(to follow)*

## Performance and optimisations

*(to follow)*

## Where to look

*(to follow)*

## Method

*(to follow)*

## What I cut / what I would do next

*(to follow)*
